/*
 * Class RESIZABLE [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2162 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2162 [] = {0xFF01,1551,2161,857,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2162 [] = {0xFF01,2161,857,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2162 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2162 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2162 [] = {0xFF01,2161,857,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2162 [] = {0xFF01,2161,857,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2162 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2162 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2162 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2162 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2162 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2162 [] = {2161,857,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2162 [] = {0xFF01,2161,857,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2162 [] = {0xFF01,2141,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2162 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2162[] = {
	{EIF_GENERIC(NULL), 9471, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2162), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2162), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2162), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2162), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2162), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2162), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2162), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2162), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2162), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2162), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2162), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2162), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2162), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2162), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8669, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8672, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2162), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2162), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9383, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9472, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9473, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9469, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2162(void)
{
	IDSC(desc_2162, 0, 2161);
	IDSC(desc_2162 + 1, 1, 2161);
	IDSC(desc_2162 + 32, 1134, 2161);
	IDSC(desc_2162 + 41, 878, 2161);
	IDSC(desc_2162 + 42, 586, 2161);
	IDSC(desc_2162 + 48, 1395, 2161);
	IDSC(desc_2162 + 50, 554, 2161);
}


#ifdef __cplusplus
}
#endif
